angular.module('app')
    .controller('HomeController', ['$scope', '$state', '$mdDialog', 'articlesBusiness', 'luBusyBusiness',
        'AppUtilsBusiness', 'feedBusiness',
        function($scope, $state, $mdDialog, articlesBusiness, luBusyBusiness,
                 AppUtilsBusiness, feedBusiness) {

        $scope.busy = luBusyBusiness.reset();
        $scope.item = null;
        $scope.feed = null;
        $scope.appUtils = AppUtilsBusiness;

        $scope.load = function()
        {
            articlesBusiness.getMultiple('id', 'type: home', 0, 1, 'home.home').then(function(data)
            {
                $scope.item = data.data[0];
            }, function (error) {});

            feedBusiness.get('home.feed').then(function(data)
            {
                $scope.feed = data;
            }, function (error) {});
        };

        $scope.load();
    }]);
